Commit 4672a1de authored by Sven Neumann's avatar Sven Neumann Committed by Sven Neumann

INSTALL README configure.in updated pkg-config location and various other

2001-07-29  Sven Neumann  <sven@gimp.org>

	* INSTALL
	* README
	* configure.in
	* gimp-1.4.m4: updated pkg-config location and various other tweaks.
parent 8ee2ebd0
2001-07-29 Sven Neumann <sven@gimp.org>
* INSTALL
* README
* configure.in
* gimp-1.4.m4: updated pkg-config location and various other tweaks.
2001-07-29 Sven Neumann <sven@gimp.org>
* plug-ins/FractalExplorer/Dialogs.c
......
......@@ -2,25 +2,30 @@ THIS IS A DEVELOPMENT VERSION OF THE GIMP !! YOU SHOULD BE USING THE
STABLE VERSION 1.2 INSTEAD !! YOU HAVE BEEN WARNED!
There are six basic steps to building and installing the GIMP:
1. You need to have installed GTK version 1.3.7 or better. Do not try
to use the stable GTK+ versions 1.2.x, it will not work.
2. You may want to install other third party libraries or programs that
There are some basic steps to building and installing the GIMP:
1. You need to have installed a recent version of pkg-config available
from http://www.freedesktop.org/software/pkgconfig/.
2. You need to have installed GTK version 1.3.7 or better. Do not try
to use the stable GTK+ versions 1.2.x, it will not work. GTK+-1.3.x
are development releases of the upcoming GTK+-2.0 release. GTK+-2.0
itself needs recent versions of GLib-2.0, Pango and ATK.
GTK+-2.0 and friends can be installed side by side with GTK+-1.2.
3. You may want to install other third party libraries or programs that
are needed for some of the available plugins: TIFF, PNG, JPEG, MPEG,
perl, etc.
3. You may want to install the freefont package so you have the fonts
4. You may want to install the freefont package so you have the fonts
most scripts use by default.
Grab it from ftp://ftp.gimp.org/pub/gimp/fonts/
4. Configure the GIMP by running the `configure' script.
5. Configure the GIMP by running the `configure' script.
You may want to pass some options to it, see below.
5. Build the GIMP by running `make'.
6. Install the GIMP by running `make install' or `make install-strip'.
7. Optionally install the separate gimp-data-extras package.
6. Build the GIMP by running `make'.
7. Install the GIMP by running `make install' or `make install-strip'.
8. Optionally install the separate gimp-data-extras package.
Please make sure you don't have any old GTK, jpeg, etc. libraries lying
around on your system, otherwise configure will fail to find the new
ones.
Please make sure you don't have any old GTK+-2.0, jpeg, etc. libraries
lying around on your system, otherwise configure will fail to find the
new ones.
Generic instructions for configuring and compiling auto-configured
packages are included below. Here is an illustration of commands that
......@@ -113,16 +118,21 @@ GIMP and its plug-ins.
When ./configure fails
======================
'configure' uses pkg-config, a tool that replaces the old foo-config
scripts. The most recent version is available from
http://www.freedesktop.org/software/pkgconfig/
'configure' tries to compile and run a short GTK program. There are
several reasons why this might fail:
* The 'gtk-config' script installed with GTK could not be found.
(This script is used to get information about where GTK is
installed.)
* pkg-config could not find the file 'gtk+-2.0.pc' that gets installed
with GTK. (This file is used to get information about where GTK+ is
installed.)
Fix: Either make sure that this program is in your path, or set
the environment variable GTK_CONFIG to the full pathname to
this program before running configure.
Fix: Either make sure that this file is in the path where pkg-config
looks for it (try 'pkg-config --debug' or add the location of
gtk+-2.0.pc to the environment variable PKG_CONFIG_PATH before running
configure.
* The GTK libraries were not found at run time. The details
of how to fix this problem will depend on the system:
......
......@@ -34,32 +34,30 @@ The latest version of The GIMP can be found at:
http://www.gimp.org/download/
2. Mailing Lists
================
We have several mailing lists dedicated to GIMP user and development
discussion. To subscribe, send an empty message to
<listname>-subscribe@xcf.berkeley.edu
discussion. There is more info at
substituting <listname> for "gimp-user", "gimp-announce" or
"gimp-developer" (without the quotes, of course) depending on the list you
want to subscribe to. The mailing list archives can be found at:
https://lists.xcf.berkeley.edu/mailman/listinfo/<listname>
http://www.egroups.com/messages/gimp-developer/
http://www.egroups.com/messages/gimp-user/
substituting <listname> for "gimp-announce", "gimp-user", "gimp-win-user",
or "gimp-developer" (without the quotes, of course) depending on the list
you want to subscribe to. Links to the mailing list archives can be found
at the same addresses as given above.
Gimp-user is a mailing list dedicated to user problems, hints and
tips, discussion of cool effects, etc. Gimp-announce is a low-traffic list
with announcements about new releases of GIMP and plug-ins. Gimp-developer is
oriented to GIMP core and plug-in developers. Most people will only want to
be subscribed to gimp-user. If you want to help develop The GIMP, the
Gimp-announce is a low-traffic list with announcements about new releases
of GIMP and plug-ins. Gimp-user is a mailing list dedicated to user problems,
hints and tips, discussion of cool effects, etc. Gimp-developer is
oriented to GIMP core and plug-in developers. Most people will only want
to be subscribed to gimp-user. If you want to help develop The GIMP, the
gimp-developer mailing list is a good starting point.
There are two mailing lists dedicated to the Win32 port,
"gimpwin-users" and "gimpwin-dev". Especially the latter also carries
traffic about the GTk+ port to Win32 in general. To subscribe, send an
empty message to
There are two mailing lists dedicated to the Win32 port, "gimpwin-users"
and "gimpwin-dev". Especially the latter also carries traffic about the
GTk+ port to Win32 in general. To subscribe, send an empty message to
gimpwin-users-subscribe@egroups.com
or
......
......@@ -96,11 +96,15 @@ AC_PATH_XTRA
dnl Find pkg-config
AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
if test x$PKG_CONFIG = xno ; then
AC_MSG_ERROR([*** pkg-config not found. See http://pkgconfig.sourceforge.net])
AC_MSG_ERROR([
*** pkg-config not found.
See the file 'INSTALL' for help.])
fi
if ! pkg-config --atleast-pkgconfig-version 0.7 ; then
AC_MSG_ERROR([*** pkg-config too old; version 0.7 or better required.])
AC_MSG_ERROR([
*** pkg-config too old; version 0.7 or better required.
See the file 'INSTALL' for help.])
fi
dnl Check for GTK+
......
# Configure paths for GIMP
# Configure paths for GIMP-1.4
# Manish Singh 98-6-11
# Shamelessly stolen from Owen Taylor
......@@ -30,7 +30,7 @@ AC_ARG_ENABLE(gimptest, [ --disable-gimptest Do not try to compile and run
fi
AC_PATH_PROG(GIMPTOOL, gimptool-1.4, no)
min_gimp_version=ifelse([$1], ,1.0.0,$1)
min_gimp_version=ifelse([$1], ,1.3.0,$1)
AC_MSG_CHECKING(for GIMP - version >= $min_gimp_version)
no_gimp=""
if test "$GIMPTOOL" = "no" ; then
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment